Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.natives
Class NetDB.hostent

    java.lang.Object
      com.sun.cldc.jna.Structure
          com.sun.squawk.platform.posix.natives.NetDBImpl.hostentImpl
              com.sun.squawk.platform.posix.natives.NetDB.hostent

Enclosing interface:
  NetDB

    public static class NetDB.hostent

extends NetDBImpl.hostentImpl

C STRUCTURE HostEnt struct hostent { char *h_name; official name of host char **h_aliases; alias list int h_addrtype; host address type int h_length; length of address char **h_addr_list; list of addresses from name server }; #define h_addr h_addr_list[0] address, for backward compatibility

Field Summary
`int[]` | `h_addr_list`
`int` | `h_addrtype`
`int` | `h_length`
`String` | `h_name`

Fields inherited from class com.sun.squawk.platform.posix.natives.NetDBImpl.hostentImpl
`hostent_SIZE`

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`NetDB.hostent()`

Method Summary
`void` | `read()` Copy the fields of the struct from native memory to the Java fields
`void` | `write()` Copy the java fields of the struct to native memory from the Java fields

Methods inherited from class com.sun.squawk.platform.posix.natives.NetDBImpl.hostentImpl
`size`

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, toString, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### h_name

    public String h_name

### h_addrtype

    public int h_addrtype

### h_length

    public int h_length

### h_addr_list

    public int[] h_addr_list

Constructor Detail

### NetDB.hostent

    public NetDB.hostent()

Method Detail

### read

    public void read()

  Description copied from class: `Structure`
  Copy the fields of the struct from native memory to the Java fields

  Specified by:
    `read` in class `Structure`

### write

    public void write()

  Description copied from class: `Structure`
  Copy the java fields of the struct to native memory from the Java fields

  Specified by:
    `write` in class `Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"